Implementasi Filter Selection di report Data Monitoring
Assignee: wildan muhammad % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Wildan,

Mohon bantuannya untuk pembuatan filter pada menu report Data Monitoring dengan menu path: Minova Al -> Al Reporting -> Data
Monitoring.

Adapun konsep pda bagian selections sebagai berikut:

1. Field Context
Data diambil dari tabel AI_SELECTIONS, menggunakan field Selection_Description.
Mohon ditampilkan secara distinct, sehingga hanya muncul satu data untuk setiap Selection_ID.

2. Field Table Al

Data diambil dari field TableRefAl pada tabel Al_SELECTIONS, dengan ketentuan data yang ditampilkan di filter berdasarkan
Context yang dipilih.

Sebagai contoh, jika user memilih context Financial — Budgeting, maka pada selection Table Al hanya menampilkan data
Al_BUDGETING_ANALYTICS.

ReportID: PRPTAIDATA.
Terima kasih.

Port: https://demo.minovais.com/
DB: MinovaES_Demo (103.153.60.89)

History

#1 - 01/26/2026 03:39 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 01/26/2026 03:41 PM - Mr Ikmal

Note: poin 2 Field Table Al, sesuai diskusi ambil data dari AI_SELECTIONS field TableRefAl tapi isinya di join dgn sdatatable untuk dapatin deskripsi
nya di field FieldDescription

#3 - 01/27/2026 04:33 PM - Mr Ikmal

Dear wildan,

Mohon bantuannya untuk implementasi sudah di buat table parameter baru AI_CONTEXT_SELECTIONS untuk context nya, nanti yg table ref ambil
dari field TableRefAl_Description based on Selection_|ID di table AIl_SELECTIONS ya

terima kasih
